Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.projectfile
Class FileController

    java.lang.Object
      com.stc.swift.egategui.projectfile.FileController

All Implemented Interfaces:
  FileDeleteCookie, FileLoadCookie, org.openide.cookies.OpenCookie, org.openide.cookies.SaveCookie, org.openide.nodes.Node.Cookie

    public class FileController

extends java.lang.Object
implements org.openide.cookies.OpenCookie, org.openide.cookies.SaveCookie, FileDeleteCookie, FileLoadCookie

CME editor data object controller. The controller provide user with interface to Connectivity Map data object cookie actions

Version:
  $Revision: 1.3 $

Constructor Summary
`FileController(FileNode node)` Constructor to create the Connectivity Map data object contoller

Method Summary
`void` | `delete()` Implement the delete action to remove the selected Connectivity Map data from the repository
`void` | `doSaveToRepository()` Perform the action to save the current connectivity data into the repository
`void` | `load()` Implement the delete action to remove the selected Connectivity Map data from the repository
`void` | `open()` Implement the open action to open the selected Connectivity Map data from the repository
`void` | `save()` Method save

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileController

    public FileController(FileNode node)

  Constructor to create the Connectivity Map data object contoller

  Parameters:
    `node` - the associated Connectivity Map data node

Method Detail

### open

    public void open()

  Implement the open action to open the selected Connectivity Map data from the repository

  Specified by:
    `open` in interface `org.openide.cookies.OpenCookie`

### delete

    public void delete()

  Implement the delete action to remove the selected Connectivity Map data from the repository

  Specified by:
    `delete` in interface `FileDeleteCookie`

### load

    public void load()

  Implement the delete action to remove the selected Connectivity Map data from the repository

  Specified by:
    `load` in interface `FileLoadCookie`

### save

    public void save()
              throws java.io.IOException

  Method save

  Specified by:
    `save` in interface `org.openide.cookies.SaveCookie`
  Throws:
    `java.io.IOException` - when encounter errors

### doSaveToRepository

    public void doSaveToRepository()

  Perform the action to save the current connectivity data into the repository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.